%define realname        zstd
%define libmajor        1
%define libname         %mklibname %{realname} %{libmajor}
%define libname_devel   %mklibname %{realname} -d

%ifarch %{ix86} x86_64
%bcond_without pzstd
%else
# aarch64 and armv7hl at least currently segfault
# in ThreadPool test for the pzstd util
%bcond_with pzstd
%endif

# Something is broken with how Iurt sets up the environment
# for the test suite's run...
%bcond_without check

Name:           zstd
Version:        1.5.5
Release:        %mkrel 1
Summary:        Zstd compression library
Group:          Archiving/Compression
License:        BSD and GPLv2
URL:            http://www.zstd.net/
Source0:        https://github.com/facebook/zstd/archive/v%{version}/%{name}-%{version}.tar.xz
Patch1:         pzstd.1.patch

BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(liblzma)

%description
Zstd, short for Zstandard, is a fast lossless compression algorithm,
targeting real-time compression scenarios at zlib-level compression ratio.

%package -n %{libname}
Summary:        Zstd shared library
Group:          System/Libraries
%description -n %{libname}
Zstandard compression shared library.

%package -n %{libname_devel}
Summary:        Header files for Zstd library
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
Header files for Zstd library.


%prep
%setup -q
find -name .gitignore -delete
%if %{with pzstd}
%patch1 -p1
%endif

%build
%serverbuild
%setup_compile_flags
%make_build -C lib lib-mt
%make_build -C programs
%if %{with pzstd}
%make_build -C contrib/pzstd
%endif

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

# Don't install the static lib
rm -f %{buildroot}/%{_libdir}/libzstd.a

%if %{with pzstd}
install -D -m755 contrib/pzstd/pzstd %{buildroot}%{_bindir}/pzstd
install -D -m644 programs/%{name}.1 %{buildroot}%{_mandir}/man1/p%{name}.1
%endif

%files
%{_bindir}/%{name}
%if %{with pzstd}
%{_bindir}/p%{name}
%{_mandir}/man1/p%{name}.1*
%endif
%{_bindir}/%{name}mt
%{_bindir}/un%{name}
%{_bindir}/%{name}cat
%{_bindir}/%{name}grep
%{_bindir}/%{name}less
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/un%{name}.1*
%{_mandir}/man1/%{name}cat.1*
%{_mandir}/man1/%{name}grep.1*
%{_mandir}/man1/%{name}less.1*

%files -n %{libname}
%{_libdir}/libzstd.so.%{libmajor}*

%files -n %{libname_devel}
%{_includedir}/zdict.h
%{_includedir}/zstd.h
%{_includedir}/zstd_errors.h
%{_libdir}/pkgconfig/libzstd.pc
%{_libdir}/libzstd.so


%changelog
* Thu Apr 06 2023 tex - 1.5.5-1pclos2023
 - new version

* Wed Feb 15 2023 tex - 1.5.4-1pclos2023
- new version

